Adrelink Fails After Migration (or Clone) From Linux 32bit To Linux 64bit, Due To Missing PRODUCT_TOP Library Files (Doc ID 1681847.1)

Last updated on SEPTEMBER 09, 2016

Applies to:

Oracle Applications DBA - Version 12.1.3 to 12.1.3 [Release 12.1]
Information in this document applies to any platform.

Symptoms

After migrating R 12.1.3 from RHEL5 32bit to RHEL5 64bit, adrelink errors for all products:

Current product is MRP
adrelink: Warning: not setting LMRPLIB
since /apps/oracle/UPGRD/apps/apps_st/appl/mrp/12.0.0/lib/libmrp.a does not exist
or cannot be read.

Current product is MSC
adrelink: Warning: not setting LMSCLIB
since /apps/oracle/UPGRD/apps/apps_st/appl/msc/12.0.0/lib/libmsc.a does not exist
or cannot be read.

Current product is MSO
adrelink: Warning: not setting LMSOLIB
since /apps/oracle/UPGRD/apps/apps_st/appl/mso/12.0.0/lib/libmso.a does not exist
or cannot be read.

Current product is MSR
adrelink: Warning: not setting LMSRLIB
since /apps/oracle/UPGRD/apps/apps_st/appl/msr/12.0.0/lib/libmsr.a does not exist
or cannot be read.

Current product is MST
adrelink: Warning: not setting LMSTLIB
since /apps/oracle/UPGRD/apps/apps_st/appl/mst/12.0.0/lib/libmst.a does not exist
or cannot be read.

Current product is MWA
adrelink: Warning: not setting LMWALIB
since /apps/oracle/UPGRD/apps/apps_st/appl/mwa/12.0.0/lib/libmwa.a does not exist
or cannot be read.

Current product is PA
adrelink: Warning: not setting LPALIB
since /apps/oracle/UPGRD/apps/apps_st/appl/pa/12.0.0/lib/libpa.a does not exist
or cannot be read.

Current product is PAY
adrelink: Warning: not setting LPAYLIB
since /apps/oracle/UPGRD/apps/apps_st/appl/pay/12.0.0/lib/libpay.a does not exist
or cannot be read.

Current product is PO
LPOLIB is set to /apps/oracle/UPGRD/apps/apps_st/appl/po/12.0.0/lib/libpo.a

Current product is PON
adrelink: Warning: not setting LPONLIB
since /apps/oracle/UPGRD/apps/apps_st/appl/pon/12.0.0/lib/libpon.a does not exist
or cannot be read.

Current product is RG
adrelink: Warning: not setting LRGLIB
since /apps/oracle/UPGRD/apps/apps_st/appl/rg/12.0.0/lib/librg.a does not exist
or cannot be read.

 The relink also failed on:


Line 20023: Relink of module "POCDMC" failed.
Line 20025: reasons for the failure.  Also, please check that the Unix userid
Line 20042: Relink of module "POCFH" failed.
Line 20044: reasons for the failure.  Also, please check that the Unix userid
Line 20061: Relink of module "POCIRM" failed.
Line 20063: reasons for the failure.  Also, please check that the Unix userid
Line 20080: Relink of module "POCRMC" failed.
Line 20082: reasons for the failure.  Also, please check that the Unix userid
Line 20099: Relink of module "POXCON" failed.
Line 20101: reasons for the failure.  Also, please check that the Unix userid
Line 20467: Relink of module "POXRSR" failed.

Changes

Migrating R 12.1.3 from RHEL5 32 bit to RHEL5 64 bit.

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms